#include <bits/stdc++.h>

using namespace std;

int main()
{
    int n,x,k,mini=INT_MAX,maxi=INT_MIN;
    unsigned long long s;
    scanf("%d%d",&n,&x);
    for(int i=0; i<n; i++)
    {
        scanf("%d",&k);
        if(k<mini) mini=k;
        if(k>maxi) maxi=k;
    }

    if(x<mini)
        s=maxi-x;
    else if(x>maxi)
        s=x-mini;
    else if(x-mini<maxi-x)
        s=x-2*mini+maxi;
    else
        s=2*maxi-x-mini;

    printf("%llu",s);
}